Update OrganizationConfig - m3ter Documentation

Update OrganizationConfig

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/organizationconfig \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "timezone": "UTC",
  "yearEpoch": "2022-01-01",
  "monthEpoch": "2022-01-01",
  "weekEpoch": "2022-01-04",
  "dayEpoch": "2022-01-01",
  "currency": "USD",
  "daysBeforeBillDue": 1,
  "version": 123,
  "currencyConversions": [
    { 
      "from": "EUR",
      "to": "USD",
      "multiplier": 1.12
    }
  ],
  "scheduledBillInterval": 123,
  "standingChargeBillInAdvance": true,
  "commitmentFeeBillInAdvance": true,
  "minimumSpendBillInAdvance": true,
  "scheduledBillOffset": 11,
  "autoApproveBillsGracePeriod": 2,
  "autoApproveBillsGracePeriodUnit": "DAYS",
  "externalInvoiceDate": "LAST_DAY_OF_ARREARS",
  "suppressedEmptyBills": true,
  "consolidateBills": true,
  "defaultStatementDefinitionId": "<string>",
  "creditApplicationOrder": [],
  "allowNegativeBalances": false,
  "allowOverlappingPlans": false,
  "useUnifiedDrawdowns": false,
  "billPrefix": "Bill-",
  "sequenceStartNumber": 1000
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/organizationconfig"

payload = {
    "timezone": "UTC",
    "yearEpoch": "2022-01-01",
    "monthEpoch": "2022-01-01",
    "weekEpoch": "2022-01-04",
    "dayEpoch": "2022-01-01",
    "currency": "USD",
    "daysBeforeBillDue": 1,
    "version": 123,
    "currencyConversions": [
        {
            "from": "EUR",
            "to": "USD",
            "multiplier": 1.12
        }
    ],
    "scheduledBillInterval": 123,
    "standingChargeBillInAdvance": True,
    "commitmentFeeBillInAdvance": True,
    "minimumSpendBillInAdvance": True,
    "scheduledBillOffset": 11,
    "autoApproveBillsGracePeriod": 2,
    "autoApproveBillsGracePeriodUnit": "DAYS",
    "externalInvoiceDate": "LAST_DAY_OF_ARREARS",
    "suppressedEmptyBills": True,
    "consolidateBills": True,
    "defaultStatementDefinitionId": "<string>",
    "creditApplicationOrder": [],
    "allowNegativeBalances": False,
    "allowOverlappingPlans": False,
    "useUnifiedDrawdowns": False,
    "billPrefix": "Bill-",
    "sequenceStartNumber": 1000
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    timezone: 'UTC',
    yearEpoch: '2022-01-01',
    monthEpoch: '2022-01-01',
    weekEpoch: '2022-01-04',
    dayEpoch: '2022-01-01',
    currency: 'USD',
    daysBeforeBillDue: 1,
    version: 123,
    currencyConversions: [{from: 'EUR', to: 'USD', multiplier: 1.12}],
    scheduledBillInterval: 123,
    standingChargeBillInAdvance: true,
    commitmentFeeBillInAdvance: true,
    minimumSpendBillInAdvance: true,
    scheduledBillOffset: 11,
    autoApproveBillsGracePeriod: 2,
    autoApproveBillsGracePeriodUnit: 'DAYS',
    externalInvoiceDate: 'LAST_DAY_OF_ARREARS',
    suppressedEmptyBills: true,
    consolidateBills: true,
    defaultStatementDefinitionId: '<string>',
    creditApplicationOrder: [],
    allowNegativeBalances: false,
    allowOverlappingPlans: false,
    useUnifiedDrawdowns: false,
    billPrefix: 'Bill-',
    sequenceStartNumber: 1000
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/organizationconfig', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/organizationconfig",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'timezone' => 'UTC',
    'yearEpoch' => '2022-01-01',
    'monthEpoch' => '2022-01-01',
    'weekEpoch' => '2022-01-04',
    'dayEpoch' => '2022-01-01',
    'currency' => 'USD',
    'daysBeforeBillDue' => 1,
    'version' => 123,
    'currencyConversions' => [[
      'from' => 'EUR',
      'to' => 'USD',
      'multiplier' => 1.12
    ]],
    'scheduledBillInterval' => 123,
    'standingChargeBillInAdvance' => true,
    'commitmentFeeBillInAdvance' => true,
    'minimumSpendBillInAdvance' => true,
    'scheduledBillOffset' => 11,
    'autoApproveBillsGracePeriod' => 2,
    'autoApproveBillsGracePeriodUnit' => 'DAYS',
    'externalInvoiceDate' => 'LAST_DAY_OF_ARREARS',
    'suppressedEmptyBills' => true,
    'consolidateBills' => true,
    'defaultStatementDefinitionId' => '<string>',
    'creditApplicationOrder' => [],
    'allowNegativeBalances' => false,
    'allowOverlappingPlans' => false,
    'useUnifiedDrawdowns' => false,
    'billPrefix' => 'Bill-',
    'sequenceStartNumber' => 1000
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/organizationconfig"

payload := strings.NewReader(`{
  "timezone": "UTC",
  "yearEpoch": "2022-01-01",
  "monthEpoch": "2022-01-01",
  "weekEpoch": "2022-01-04",
  "dayEpoch": "2022-01-01",
  "currency": "USD",
  "daysBeforeBillDue": 1,
  "version": 123,
  "currencyConversions": [
    {
      "from": "EUR",
      "to": "USD",
      "multiplier": 1.12
    }
  ],
  "scheduledBillInterval": 123,
  "standingChargeBillInAdvance": true,
  "commitmentFeeBillInAdvance": true,
  "minimumSpendBillInAdvance": true,
  "scheduledBillOffset": 11,
  "autoApproveBillsGracePeriod": 2,
  "autoApproveBillsGracePeriodUnit": "DAYS",
  "externalInvoiceDate": "LAST_DAY_OF_ARREARS",
  "suppressedEmptyBills": true,
  "consolidateBills": true,
  "defaultStatementDefinitionId": "<string>",
  "creditApplicationOrder": [],
  "allowNegativeBalances": false,
  "allowOverlappingPlans": false,
  "useUnifiedDrawdowns": false,
  "billPrefix": "Bill-",
  "sequenceStartNumber": 1000
}`)

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response

Success Response

{
  "id": "<string>",
  "version": 123,
  "timezone": "UTC",
  "yearEpoch": "2022-01-01",
  "monthEpoch": "2022-01-01",
  "weekEpoch": "2022-01-04",
  "dayEpoch": "2022-01-01",
  "currency": "<string>",
  "currencyConversions": [
    {
      "from": "EUR",
      "to": "USD",
      "multiplier": 1.12
    }
  ],
  "daysBeforeBillDue": 123,
  "scheduledBillInterval": 123,
  "scheduledBillOffset": 123,
  "standingChargeBillInAdvance": true,
  "commitmentFeeBillInAdvance": true,
  "minimumSpendBillInAdvance": true,
  "autoApproveBillsGracePeriod": 123,
  "suppressedEmptyBills": true,
  "consolidateBills": true,
  "defaultStatementDefinitionId": "<string>",
  "billPrefix": "<string>",
  "sequenceStartNumber": 123,
  "creditApplicationOrder": [],
  "allowNegativeBalances": true,
  "allowOverlappingPlans": true,
  "useUnifiedDrawdowns": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}

Error Response

{
  "message": "<string>"
}
{
  "message": "<string>"
}